-- Daily Global Check
-- by Jadya
-- EU-Well of Eternity

local addonName, addonTable = ...

--[[ map functions ]]--

local maps = DailyGlobalCheck.MapFunctions

function maps:resolveCoords(qData)

   local mapdata = {
    [941] = {[962] = {21,19,47.6,46} }, -- frostfire ridge
	[946] = {[962] = {28.5,45,54,70.5} }, -- talador
	[947] = {[962] = {44,56.5,73,85} }, -- shadowmoon valley
	[948] = {[962] = {33.8,65,59.3,91} }, -- spires of arak
    [949] = {[962] = {31.3,11.4,68,46} }, -- gorgrond
	[950] = {[962] = {12.5,41.5,38,66.1} }, -- nagrand
	[945] = {[962] = {47.4,36.1,69,57.4}}, -- tanaan jungle
 }

 local default_map = qData[6]
 
 if not default_map or not mapdata[default_map] then return end
 
 local coords = qData[5][default_map]
 local t = qData[5]

 for k,v in pairs(mapdata[default_map]) do
  local x = (v[3] - v[1]) * coords[1] / 100 + v[1]
  local y = (v[4] - v[2]) * coords[2] / 100 + v[2]

  t[k] = {x,y}
 end
end